<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Features</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="features">Features </a></h1><ul>
<li>Micromagnetics (see <a class="el" href="input.html">Input Files for Simulations</a>)<ul>
<li>Uniaxial and cubic anisotropy</li>
<li>Exchange</li>
<li>Magnetoelastic effects</li>
<li>Magnetostatic field (hybrid FEM/BEM method)</li>
<li>External field (quasistatic, sweeping, rotating)</li>
</ul>
</li>
<li>Dynamic integration of Landau-Lifshitz-Gilbert equation of motion using the <a class="el" href="required.html#sundials">SUNDIALS</a> library</li>
<li>Static energy minimization using the <a class="el" href="required.html#tao">TAO</a> library</li>
<li>Data output (<a class="el" href="output.html">Output Files of Simulations</a>)<ul>
<li>Log files</li>
<li>PNG files</li>
<li>UCD files</li>
<li>"sampling line"</li>
</ul>
</li>
</ul>
<ul>
<li>Mesh import (see <a class="el" href="preprocessing.html">Preprocessing</a>)<ul>
<li><a class="el" href="preprocessing.html#patran">MSC.Patran</a> neutral file</li>
<li>AVS <a class="el" href="input.html#project_inp">project.inp, project.out: finite element mesh</a> file</li>
<li><a class="el" href="preprocessing.html#gmsh">Gmsh</a> , <a class="el" href="preprocessing.html#pre_gid">GiD</a> meshes</li>
</ul>
</li>
<li>Mesh analysis (see <a class="el" href="output.html">Output Files of Simulations</a>)<ul>
<li>element and node volumes (max,min,avg)</li>
<li>edge lengths (max,min,avg)</li>
<li>element quality check</li>
<li>model bounding box</li>
<li>volume by property id</li>
</ul>
</li>
<li>Mesh distortion: shift, scale mesh; mimic surface/interface roughness</li>
<li>Mesh refinement <br/>
full regular refinement before partitioning: <br/>
x8<sup><em>n</em></sup> number of nodes and elements for <em>n</em> refinement iterations</li>
</ul>
<ul>
<li>Problem independent parallelization (see <a class="el" href="performance.html">Performance</a>)</li>
<li>Performance evaluation: timing, profiling (in every subroutine)</li>
<li>Easy activation of optional components</li>
<li>Consistency checking: assert statements</li>
<li>Memory allocation tracking: PetscMalloc, PetscFree, memory usage statistics</li>
<li>C++ compatible: required by TAO </li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

